# -*- coding: utf-8 -*-

import _common

class Chip(object):

    def __init__(self):
        self.apis = [
            {
                'name': 'chipList',
                'desc': '获取芯片列表',
                'group': 'Chip',
                'url': 'webapp/index.php?c=Chip&a=chipList',
                'params': [
                    _common.ReqHead(),
                    ['type', '', '芯片类型：1 英雄；2 枪械'],
                ],
                'response': [
                    _common.RspHead(),
                    ['!data', [_common.Chip()], '芯片列表']
                ]
            },{
                'name': 'chipOrder',
                'desc': '芯片列表排序',
                'group': 'Chip',
                'url': 'webapp/index.php?c=Chip&a=chipOrder',
                'params': [
                    _common.ReqHead(),
                    ['type', '', '芯片类型：1 英雄；2 枪械'],
                    ['order', '', 'asc 升序；desc 降序'],
                ],
                'response': [
                    _common.RspHead(),
                    ['!data', [_common.Chip()], '芯片列表']
                ]
            },{
                'name': 'chipDetails',
                'desc': '芯片详情',
                'group': 'Chip',
                'url': 'webapp/index.php?c=Chip&a=chipDetails',
                'params': [
                    _common.ReqHead(),
                     ['token_id', '', '芯片token id'],
                ],
                'response': [
                    _common.RspHead(),
                    ['!data', [_common.Chip()], '芯片信息']
                ]
            },{
                'name': 'beforeInlay',
                'desc': '芯片镶嵌前置，获取可镶嵌的芯片',
                'group': 'Chip',
                'url': 'webapp/index.php?c=Chip&a=beforeInlay',
                'params': [
                    _common.ReqHead(),
                    ['type', '', '芯片类型：1 英雄；2 枪械'],
                ],
                'response': [
                    _common.RspHead(),
                    ['!data', [_common.Chip()], '芯片列表']
                ]
            },{
                'name': 'inlayChip',
                'desc': '芯片镶嵌',
                'group': 'Chip',
                'url': 'webapp/index.php?c=Chip&a=inlayChip',
                'params': [
                    _common.ReqHead(),
                    ['type', '', '1 英雄；2 枪械'],
                    ['unique_id', '', '英雄或枪械的唯一id'],
                    ['token_id', '', '芯片token id'],
                ],
                'response': [
                    _common.RspHead(),
                    ['!data',  [_common.Hero()], '英雄或枪械加成信息，用英雄举例'],
                     ['property_chg', _common.PropertyChg(), '属性变更'],
                ]
            },{
                'name': 'demountChip',
                'desc': '芯片卸下',
                'group': 'Chip',
                'url': 'webapp/index.php?c=Chip&a=demountChip',
                'params': [
                    _common.ReqHead(),
                    ['type', '', '1 英雄；2 枪械'],
                    ['unique_id', '', '英雄或枪械的唯一id'],
                    ['token_id', '', '芯片token id'],
                ],
                'response': [
                    _common.RspHead(),
                    ['!data',  [_common.Hero()], '英雄或枪械加成信息，用英雄举例'],
                     ['property_chg', _common.PropertyChg(), '属性变更'],
                ]
            },{
                'name': 'replaceChip',
                'desc': '芯片替换',
                'group': 'Chip',
                'url': 'webapp/index.php?c=Chip&a=replaceChip',
                'params': [
                    _common.ReqHead(),
                    ['type', '', '1 英雄；2 枪械'],
                    ['unique_id', '', '英雄或枪械的唯一id'],
                    ['token_id_new', '', '新芯片token id'],
                    ['token_id_old', '', '被替换的芯片token id'],
                ],
                'response': [
                    _common.RspHead(),
                    ['!data',  [_common.Hero()], '英雄或枪械加成信息，用英雄举例'],
                     ['property_chg', _common.PropertyChg(), '属性变更'],
                ]
            },{
                'name': 'aKeyInlayChip',
                'desc': '芯片一键镶嵌',
                'group': 'Chip',
                'url': 'webapp/index.php?c=Chip&a=aKeyInlayChip',
                'params': [
                    _common.ReqHead(),
                    ['type', '', '1 英雄；2 枪械'],
                    ['unique_id', '', '英雄或枪械的唯一id'],
                ],
                'response': [
                    _common.RspHead(),
                    ['!data',  [_common.Hero()], '英雄或枪械加成信息，用英雄举例']
                ]
            },{
                'name': 'beforeSynthetic',
                'desc': '芯片合成前置操作',
                'group': 'Chip',
                'url': 'webapp/index.php?c=Chip&a=beforeSynthetic',
                'params': [
                    _common.ReqHead(),
                    ['token_id', '', '新芯片token id'],
                ],
                'response': [
                    _common.RspHead(),
                    ['!data',  [_common.ChipPro()], '芯片信息']
                ]
            },{
                'name': 'selectChip',
                'desc': '选择合成材料',
                'group': 'Chip',
                'url': 'webapp/index.php?c=Chip&a=selectChip',
                'params': [
                    _common.ReqHead(),
                    ['token_id', '', '芯片token id参数  例：参数1源芯片 参数2材料芯片'],
                ],
                'response': [
                    _common.RspHead(),
                    ['data',  '', '材料芯片的累计价值']
                ]
            },{
                'name': 'syntheticChip',
                'desc': '芯片合成',
                'group': 'Chip',
                'url': 'webapp/index.php?c=Chip&a=syntheticChip',
                'params': [
                    _common.ReqHead(),
                    ['token_id_main', '', '源芯片token id'],
                    ['token_id_param', '', '材料芯片token id  例：参数1 参数2 参数3'],
                ],
                'response': [
                    _common.RspHead(),
                    ['!data',  [_common.Chip()], '芯片信息'],
                    ['state',  0, '1 成功,0 失败'],
                    ['property_chg', _common.PropertyChg(), '属性变更'],
                ]
            },{
                'name': 'isNeedLucky',
                'desc': '选择需要幸运值',
                'group': 'Chip',
                'url': 'webapp/index.php?c=Chip&a=isNeedLucky',
                'params': [
                    _common.ReqHead(),
                    ['token_id', '', '源芯片token id'],
                ],
                'response': [
                    _common.RspHead(),
                    ['property_chg', _common.PropertyChg(), '属性变更'],
                ]
            },{
                'name': 'isNotNeedLucky',
                'desc': '放弃幸运值',
                'group': 'Chip',
                'url': 'webapp/index.php?c=Chip&a=isNotNeedLucky',
                'params': [
                    _common.ReqHead(),
                    ['token_id', '', '源芯片token id'],
                ],
                'response': [
                    _common.RspHead(),
                    ['property_chg', _common.PropertyChg(), '属性变更'],
                ]
            },{
                'name': 'waitingLucky',
                'desc': '幸运值未做选择-待定阶段',
                'group': 'Chip',
                'url': 'webapp/index.php?c=Chip&a=waitingLucky',
                'params': [
                    _common.ReqHead(),
                    ['token_id', '', '源芯片token id'],
                ],
                'response': [
                    _common.RspHead(),
                    ['property_chg', _common.PropertyChg(), '属性变更'],
                ]
            },{
                'name': 'aKeySynthetic',
                'desc': '芯片合成一键添加',
                'group': 'Chip',
                'url': 'webapp/index.php?c=Chip&a=aKeySynthetic',
                'params': [
                    _common.ReqHead(),
                    ['token_id', '', '源芯片token id'],
                ],
                'response': [
                    _common.RspHead(),
                    ['data',  [
                        ['cost', '', '所添加芯片的总累计价值'],
                        ['token_ids', '', '芯片token id 例如：token_id1 token_id2 token_id3'],
                    ], '芯片信息']
                ]
            },{
                'name': 'lockChip',
                'desc': '芯片加锁',
                'group': 'Chip',
                'url': 'webapp/index.php?c=Chip&a=lockChip',
                'params': [
                    _common.ReqHead(),
                    ['token_id', '', '芯片token id'],
                    ['state', '', '1 加锁 ；0 释放锁'],
                ],
                'response': [
                    _common.RspHead(),
                    ['property_chg', _common.PropertyChg(), '属性变更'],
                ]
            },


        ]
