-- MySQL dump 10.14  Distrib 5.5.41-MariaDB, for Linux (x86_64)
--
-- Host: localhost    Database: accountdb
-- ------------------------------------------------------
-- Server version	5.5.41-MariaDB

--
-- Table structure for table `version`
--

DROP TABLE IF EXISTS `version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `version` (
  `idx` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `version` int(11) NOT NULL DEFAULT '0' COMMENT '版本号',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `version` (`version`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_user`
--

DROP TABLE IF EXISTS `t_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_user` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) NOT NULL DEFAULT '' COMMENT '账号id(channel + "_" + gameid + "_" + openid)',
  `channel` int(11) NOT NULL DEFAULT '0' COMMENT 'channel',
  `name` tinyblob COMMENT '用户名字',
  `sex` int(11) NOT NULL DEFAULT '0' COMMENT '性别',
  `head_id` int(11) NOT NULL DEFAULT '0' COMMENT '头像id',
  `head_frame` int(11) NOT NULL DEFAULT '0' COMMENT '头像框id',
  `level` int(11) NOT NULL DEFAULT '0' COMMENT '等级',
  `exp` int(11) NOT NULL DEFAULT '0' COMMENT '经验',
  `rank` int(11) NOT NULL DEFAULT '0' COMMENT '段位',
  `history_best_rank` int(11) NOT NULL DEFAULT '0' COMMENT '历史最高段位',
  `score` int(11) NOT NULL DEFAULT '0' COMMENT '积分',
  `gold` bigint NOT NULL DEFAULT '0' COMMENT '金币',
  `diamond` bigint NOT NULL DEFAULT '0' COMMENT '钻石',
  `hero_id` int(11) NOT NULL DEFAULT '0' COMMENT '当前上阵英雄id',
  `first_fight` int(11) NOT NULL DEFAULT '0' COMMENT '是否首战',
  `last_season_id` int(11) NOT NULL DEFAULT '0' COMMENT '最后一次赛季id',
  `activated` int(11) NOT NULL DEFAULT '0' COMMENT '是否已激活',
  `rename_count` int(11) NOT NULL DEFAULT '0' COMMENT '改名次数',
  `activatetime` int(11) NOT NULL DEFAULT '0' COMMENT '激活时间',
  `already_guide` int(11) NOT NULL DEFAULT '0' COMMENT '已引导',
  `pve_instance_id` int(11) NOT NULL DEFAULT '0' COMMENT '已过pve副本id',
  `like_count` int(11) NOT NULL DEFAULT '0' COMMENT '被点赞次数',
  `head_list` mediumblob COMMENT '拥有的头像列表',
  `head_frame_list` mediumblob COMMENT '拥有的头像框列表',
  `consume_gold` bigint NOT NULL DEFAULT '0' COMMENT '消费金币数',
  `score_modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '积分修改时间',
  `best_rank_modifytime` int(11) NOT NULL DEFAULT '0' COMMENT 'bestrank修改时间',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `account_id` (`account_id`),
  KEY `channel` (`channel`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_bigdata`
--

DROP TABLE IF EXISTS `t_bigdata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_bigdata` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) CHARACTER SET utf8 NOT NULL COMMENT 'account_id',
  `type` varchar(60) CHARACTER SET utf8 NOT NULL COMMENT 'type',
  `data` mediumblob COMMENT 'data',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `account_id_type` (`account_id`, `type`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
-- Table structure for table `t_user_wallet_offline`
--

DROP TABLE IF EXISTS `t_user_wallet_offline`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_user_wallet_offline` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) NOT NULL DEFAULT '' COMMENT '账号id(channel + "_" + gameid + "_" + openid)',
  `gold` bigint NOT NULL DEFAULT '0' COMMENT '金币',
  `diamond` bigint NOT NULL DEFAULT '0' COMMENT '钻石',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `account_id` (`account_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_user_wallet_record`
--

DROP TABLE IF EXISTS `t_user_wallet_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_user_wallet_record` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `txhash` varchar(100) NOT NULL DEFAULT '' COMMENT 'txhash',
  `dir` int(11) NOT NULL DEFAULT '0' COMMENT 'dir',
  `account_id` varchar(60) NOT NULL DEFAULT '' COMMENT '账号id(channel + "_" + gameid + "_" + openid)',
  `type` int(11) NOT NULL DEFAULT '0' COMMENT 'type',
  `value` varchar(100) NOT NULL DEFAULT '' COMMENT 'value',
  `state` int(11) NOT NULL DEFAULT '0' COMMENT 'state',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `txhash` (`txhash`),
  KEY `account_id` (`account_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_hero`
--

DROP TABLE IF EXISTS `t_hero`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_hero` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `token_id` varchar(60) COMMENT 'token_id',
  `account_id` varchar(60) COMMENT 'account_id',
  `hero_id` int(11) NOT NULL DEFAULT '0' COMMENT '英雄id',
  `hero_tili` varchar(25) NOT NULL DEFAULT '0' COMMENT '英雄体力',
  `state` int(11) NOT NULL DEFAULT '0' COMMENT '0：已购买 1：体验中',
  `skin_id` int(11) NOT NULL DEFAULT '0' COMMENT '皮肤id',
  `hero_lv` int(11) NOT NULL DEFAULT '0' COMMENT '英雄等级',
  `quality` int(11) NOT NULL DEFAULT '0' COMMENT '品阶',
  `skill_lv1` int(11) NOT NULL DEFAULT '0' COMMENT '必杀技等级',
  `skill_lv2` int(11) NOT NULL DEFAULT '0' COMMENT '躲避技能等级',
  `try_count` int(11) NOT NULL DEFAULT '0' COMMENT '剩余体验次数 当state=1时才有意义',
  `advanced_count` int(11) NOT NULL DEFAULT '0' COMMENT '进阶次数',
  `lock_type` int(11) NOT NULL DEFAULT '0' COMMENT '0:无锁 1:升级 2:升阶',
  `unlock_time` int(11) NOT NULL DEFAULT '0' COMMENT '解锁时间',
  `unlock_trade_time` int(11) NOT NULL DEFAULT '0' COMMENT '出售解锁时间',
  `rand_attr` mediumblob COMMENT '随机属性',
  `today_get_gold` bigint NOT NULL DEFAULT '0' COMMENT '金币',
  `last_get_gold_time` int(11) NOT NULL DEFAULT '0' COMMENT '最后获取金币的时间',
  `today_pve_get_ceg` bigint NOT NULL DEFAULT '0' COMMENT 'pve金币',
  `last_pve_get_ceg_time` bigint NOT NULL DEFAULT '0' COMMENT '最后pve获取金币的时间',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  `chip_ids` varchar(100) NOT NULL DEFAULT '' COMMENT '已镶嵌的芯片idx组',
  `skill_common` varchar(255) NOT NULL DEFAULT '100100|100120|100140|100160|100180|100200|100220|100240|100260|100280' COMMENT '通用技能',
  `skill_points` int(11) NOT NULL DEFAULT '0' COMMENT '技能点',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `token_id` (`token_id`),
  KEY `account_id` (`account_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_hero_skin`
--

DROP TABLE IF EXISTS `t_hero_skin`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_hero_skin` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) CHARACTER SET utf8 NOT NULL COMMENT 'account_id',
  `skin_id` int(11) NOT NULL DEFAULT '0' COMMENT '英雄皮肤id',
  `skin_state` int(11) NOT NULL DEFAULT '0' COMMENT '英雄皮肤状态 0=已经购，1 = 试用状态',
  `get_from` int(11) NOT NULL DEFAULT '0' COMMENT '获得方式 0 = 系统赠送 1 = 金币购买',
  `consume_num` int(11) NOT NULL DEFAULT '0' COMMENT '消耗货币的具体数量',
  `try_expire_at` int(11) NOT NULL DEFAULT '0' COMMENT '试用截止时间',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `account_id_skinid` (`account_id`, `skin_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_bag`
--

DROP TABLE IF EXISTS `t_bag`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_bag` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `token_id` varchar(60) COMMENT 'token_id',
  `account_id` varchar(60) COMMENT 'account_id',
  `item_id` int(11) NOT NULL DEFAULT '0' COMMENT '道具id',
  `item_num` int(11) NOT NULL DEFAULT '0' COMMENT '数量',
  `rand_attr` mediumblob COMMENT '随机属性',
  `today_get_gold` bigint NOT NULL DEFAULT '0' COMMENT '金币',
  `last_get_gold_time` int(11) NOT NULL DEFAULT '0' COMMENT '最后获取金币的时间',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `token_id` (`token_id`),
  KEY `item_id` (`item_id`),
  KEY `account_id` (`account_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_bag`
--

DROP TABLE IF EXISTS `t_fragment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_fragment` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `token_id` varchar(60) COMMENT 'token_id',
  `item_id` int(11) NOT NULL DEFAULT '0' COMMENT '道具id',
  `type` int(11) NOT NULL DEFAULT '1' COMMENT '1:角色碎片 2:武器碎片 3:角色特殊碎片 4:武器特殊碎片',
  `parts` int(11) NOT NULL DEFAULT '1' COMMENT '部位',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `token_id` (`token_id`),
  KEY `item_id` (`item_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_chip`
--

DROP TABLE IF EXISTS `t_chip`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_chip` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `token_id` varchar(60) COMMENT 'token_id',
  `account_id` varchar(60) COMMENT 'account_id',
  `item_id` int(11) NOT NULL DEFAULT '0' COMMENT '道具id',
  `item_num` int(11) NOT NULL DEFAULT '1' COMMENT '数量',
  `chip_grade` int(11) NOT NULL DEFAULT '1' COMMENT '芯片等级',
  `chip_type` int(11) NOT NULL DEFAULT '1' COMMENT '1:角色芯片 2:武器芯片',
  `state` int(11) NOT NULL DEFAULT '0' COMMENT '芯片添加状态:0 正常;1 选择;-1 锁定',
  `supper_state` int(11) NOT NULL DEFAULT '0' COMMENT '是否锁定：0 正常;1 锁住',
  `inlay_state` int(11) NOT NULL DEFAULT '0' COMMENT '镶嵌状态：0 未镶嵌;1 镶嵌了',
  `rand_attr` mediumblob COMMENT '随机属性',
  `today_get_gold` bigint NOT NULL DEFAULT '0' COMMENT '金币',
  `last_get_gold_time` int(11) NOT NULL DEFAULT '0' COMMENT '最后获取金币的时间',
  `lucky_temporary` varchar(10) NOT NULL DEFAULT '0' COMMENT '临时幸运值',
  `lucky_final` varchar(10) NOT NULL DEFAULT '0' COMMENT '最终幸运值',
  `strength_max` varchar(10) NOT NULL DEFAULT '0' COMMENT '最大体力值',
  `strength` varchar(10) NOT NULL DEFAULT '0' COMMENT '前一天体力值',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `token_id` (`token_id`),
  KEY `item_id` (`item_id`),
  KEY `account_id` (`account_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_gun`
--

DROP TABLE IF EXISTS `t_gun`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_gun` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `token_id` varchar(60) COMMENT 'token_id',
  `account_id` varchar(60) COMMENT 'account_id',
  `gun_id` int(11) NOT NULL DEFAULT '0' COMMENT '枪id',
  `state` int(11) NOT NULL DEFAULT '0' COMMENT '0：已购买 1：体验中',
  `gun_lv` int(11) NOT NULL DEFAULT '0' COMMENT '枪等级',
  `quality` int(11) NOT NULL DEFAULT '0' COMMENT '品阶',
  `try_count` int(11) NOT NULL DEFAULT '0' COMMENT '剩余体验次数 当state=1时才有意义',
  `lock_type` int(11) NOT NULL DEFAULT '0' COMMENT '0:无锁 1:升级 2:升阶',
  `unlock_time` int(11) NOT NULL DEFAULT '0' COMMENT '解锁时间',
  `unlock_trade_time` int(11) NOT NULL DEFAULT '0' COMMENT '出售解锁时间',
  `durability` varchar(25) NOT NULL DEFAULT '0' COMMENT '耐久',
  `rand_attr` mediumblob COMMENT '随机属性',
  `today_get_gold` bigint NOT NULL DEFAULT '0' COMMENT '金币',
  `last_get_gold_time` int(11) NOT NULL DEFAULT '0' COMMENT '最后获取金币的时间',
  `today_pve_get_ceg` bigint NOT NULL DEFAULT '0' COMMENT 'pve金币',
  `last_pve_get_ceg_time` bigint NOT NULL DEFAULT '0' COMMENT '最后pve获取金币的时间',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  `chip_ids` varchar(100) NOT NULL DEFAULT '' COMMENT '已镶嵌的芯片idx组',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `token_id` (`token_id`),
  KEY `account_id` (`account_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_gun_skin`
--

DROP TABLE IF EXISTS `t_gun_skin`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_gun_skin` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) CHARACTER SET utf8 NOT NULL COMMENT 'account_id',
  `skin_id` int(11) NOT NULL DEFAULT '0' COMMENT '皮肤ID',
  `skin_state` int(11) NOT NULL DEFAULT '0' COMMENT '状态（0=已经购，1 = 试用状态）',
  `try_expire_at` int(11) NOT NULL DEFAULT '0' COMMENT '试用截止时间',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `account_id_skin_id` (`account_id`, `skin_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_gun_talent`
--

DROP TABLE IF EXISTS `t_gun_talent`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_gun_talent` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) CHARACTER SET utf8 NOT NULL COMMENT 'account_id',
  `talent_id` int(11) NOT NULL DEFAULT '0' COMMENT '技能ID',
  `talent_lv` int(11) NOT NULL DEFAULT '0' COMMENT '技能等级',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `account_id_talent_id` (`account_id`, `talent_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_dyndata`
--

DROP TABLE IF EXISTS `t_dyndata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_dyndata` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) NOT NULL DEFAULT '' COMMENT '账号id(channel + "_" + gameid + "_" + openid)',
  `x` int(11) NOT NULL DEFAULT '0' COMMENT 'x',
  `y` int(11) NOT NULL DEFAULT '0' COMMENT 'y',
  `val` bigint NOT NULL DEFAULT '0' COMMENT 'val',
  `createtime`   int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime`   int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `account_id_x_y` (`account_id`, `x`, `y`),
  KEY `account_id` (`account_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_shop_buy_record`
--

DROP TABLE IF EXISTS `t_shop_buy_record`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_shop_buy_record` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) NOT NULL DEFAULT '' COMMENT '账号id',
  `item_id` int(11) NOT NULL DEFAULT '0' COMMENT '道具id',
  `this_day_buy_times` int(11) NOT NULL DEFAULT '0' COMMENT '今日购买次数',
  `this_week_buy_times` int(11) NOT NULL DEFAULT '0' COMMENT '本周购买次数',
  `total_buy_times` int(11) NOT NULL DEFAULT '0' COMMENT '总购买次数',
  `last_buy_time` int(11) NOT NULL DEFAULT '0' COMMENT '最后一次购买时间',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  KEY `account_id` (`account_id`),
  UNIQUE KEY `account_id_item_id` (`account_id`, `item_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_mission`
--

DROP TABLE IF EXISTS `t_mission`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_mission` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) NOT NULL DEFAULT '' COMMENT '账号id',
  `mission_id` int(11) NOT NULL DEFAULT '0' COMMENT '任务id',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  KEY `account_id` (`account_id`),
  UNIQUE KEY `account_id_mission_id` (`account_id`, `mission_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_battle`
--

DROP TABLE IF EXISTS `t_battle`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_battle` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) NOT NULL DEFAULT '' COMMENT '账号id(channel + "_" + gameid + "_" + openid)',
  `battle_data` mediumblob COMMENT 'battle_data',
  `kills_modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '击杀修改时间',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `account_id` (`account_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_battle_record`
--

DROP TABLE IF EXISTS `t_battle_record`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_battle_record` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) NOT NULL DEFAULT '' COMMENT '账号id(channel + "_" + gameid + "_" + openid)',
  `request` mediumblob COMMENT 'request',
  `kills_modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '击杀修改时间',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  KEY `account_id` (`account_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_season`
--

DROP TABLE IF EXISTS `t_season`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_season` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) NOT NULL DEFAULT '' COMMENT '账号id',
  `season_id` int(11) NOT NULL DEFAULT '0' COMMENT '赛季id',
  `card_lv` int(11) NOT NULL DEFAULT '0' COMMENT '赛季手册等级',
  `card_exp` int(11) NOT NULL DEFAULT '0' COMMENT '赛季手册经验',
  `rank` int(11) NOT NULL DEFAULT '0' COMMENT '段位',
  `score` int(11) NOT NULL DEFAULT '0' COMMENT '积分',
  `history_best_rank` int(11) NOT NULL DEFAULT '0' COMMENT '历史最高段位',
  `gift_state1` int(11) NOT NULL DEFAULT '0' COMMENT '普通礼包购买状态 0:未购 1:已购',
  `gift_buytime1` int(11) NOT NULL DEFAULT '0' COMMENT '普通礼包购买时间',
  `gift_state2` int(11) NOT NULL DEFAULT '0' COMMENT '豪华礼包购买状态 0:未购 1:已购',
  `gift_buytime2` int(11) NOT NULL DEFAULT '0' COMMENT '豪华礼包购买时间',
  `battle_data` mediumblob COMMENT 'battle_data',
  `kills_modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '击杀修改时间',
  `score_modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '积分修改时间',
  `best_rank_modifytime` int(11) NOT NULL DEFAULT '0' COMMENT 'bestrank修改时间',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  KEY `account_id` (`account_id`),
  UNIQUE KEY `account_id_season_id` (`account_id`, `season_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_season_card`
--

DROP TABLE IF EXISTS `t_season_card`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_season_card` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) NOT NULL DEFAULT '' COMMENT '账号id',
  `season_id` int(11) NOT NULL DEFAULT '0' COMMENT '赛季id',
  `type` int(11) NOT NULL DEFAULT '0' COMMENT '手册类型 1：普通 2：精英',
  `card_lv` int(11) NOT NULL DEFAULT '0' COMMENT '赛季手册等级',
  `reward_received` int(11) NOT NULL DEFAULT '0' COMMENT '赛季手册等级奖励是否已领取',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  KEY `account_id_season_id` (`account_id`, `season_id`),
  UNIQUE KEY `account_id_season_id_type_card_lv` (`account_id`, `season_id`, `type`, `card_lv`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_season_card`
--

DROP TABLE IF EXISTS `t_used_name`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_used_name` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `name` tinyblob COMMENT '名字',
  `name_base64` varchar(255) NOT NULL DEFAULT '' COMMENT '名字base64',
  `key` varchar(60) NOT NULL DEFAULT '' COMMENT '应用key',
  `account_id` varchar(60) NOT NULL DEFAULT '' COMMENT '账号id',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `name_base64_key` (`name_base64`, `key`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_drop_log`
--

DROP TABLE IF EXISTS `t_drop_log`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_drop_log` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) NOT NULL DEFAULT '' COMMENT '账号id',
  `drop_source` varchar(60) NOT NULL DEFAULT '' COMMENT '掉落源',
  `drop_id` varchar(60) NOT NULL DEFAULT '' COMMENT '掉落id',
  `drop_items` mediumblob COMMENT '掉落的物品',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  KEY `account_id_drop_source_drop_id` (`account_id`, `drop_source`, `drop_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_rank_activity`
--

DROP TABLE IF EXISTS `t_rank_activity`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_rank_activity` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) NOT NULL DEFAULT '' COMMENT '账号id',
  `channel` int(11) NOT NULL DEFAULT '0' COMMENT 'channel',
  `type` int(11) NOT NULL DEFAULT '0' COMMENT 'type',
  `value` bigint NOT NULL DEFAULT '0' COMMENT 'value',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `account_id_type` (`account_id`, `type`),
  KEY `channel` (`channel`),
  KEY `type` (`type`),
  KEY `value` (`value`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_game_log`
--

DROP TABLE IF EXISTS `t_game_log`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_game_log` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) NOT NULL DEFAULT '' COMMENT '账号id',
  `type` varchar(255) NOT NULL DEFAULT '' COMMENT '日志类型',
  `subtype` varchar(255) NOT NULL DEFAULT '' COMMENT '日志子类型',
  `param1` varchar(666) NOT NULL DEFAULT '' COMMENT 'param1',
  `param2` varchar(666) NOT NULL DEFAULT '' COMMENT 'param2',
  `param3` varchar(666) NOT NULL DEFAULT '' COMMENT 'param3',
  `param4` varchar(666) NOT NULL DEFAULT '' COMMENT 'param4',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  KEY `account_id_type_subtype` (`account_id`, `type`, `subtype`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

-- Dump completed on 2015-08-19 18:51:22

--
-- Table structure for table `t_nft_active`
--

DROP TABLE IF EXISTS `t_nft_active`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_nft_active` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) NOT NULL DEFAULT '' COMMENT '账号id',
  `token_id` varchar(255) NOT NULL DEFAULT '' COMMENT 'token id',
  `token_type` int(11) NOT NULL DEFAULT '0' COMMENT 'nft类型 1:英雄 2:枪支 3:芯片 5:碎片箱子',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `token_id` (`token_id`),
  KEY `account_id_token_type` (`account_id`,`token_type`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_fragment_pool`
--

DROP TABLE IF EXISTS `t_fragment_pool`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_fragment_pool` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `fragment_id` int(11) NOT NULL DEFAULT '0' COMMENT '碎片id',
  `fragment_type` int(11) NOT NULL DEFAULT '0' COMMENT '碎片类型 0:英雄 1:武器',
  `fragment_num` int(11) NOT NULL DEFAULT '0' COMMENT '碎片数量',
  `alloc_time` int(11) NOT NULL DEFAULT '0' COMMENT '分配时间',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  KEY `alloc_time_fragment_type` (`alloc_time`, `fragment_type`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_realtime_data`
--

DROP TABLE IF EXISTS `t_realtime_data`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_realtime_data` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `name` varchar(60) NOT NULL DEFAULT '' COMMENT '参数名',
  `value1` varchar(60) NOT NULL DEFAULT '' COMMENT '值1',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

-- Dump completed on 2015-08-19 18:51:22
